pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/44765: gnuplot build fails because netbsd-5 X11 not up to speed

>Number:         44765
>Category:       pkg
>Synopsis:       gnuplot build fails because netbsd-5 X11 not up to speed
>Confidential:   no
>Severity:       critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Thu Mar 24 14:50:00 +0000 2011
>Originator:     Hauke Fath
>Release:        NetBSD 5.1_STABLE
/~\  The ASCII Ribbon Campaign                      Hauke Fath
\ /    No HTML/RTF in email               Institut für Nachrichtentechnik
 X     No Word docs in email                        TU Darmstadt
/ \  Respect for open standards                Ruf +49-6151-16-3281
System: NetBSD bounce 5.1_STABLE NetBSD 5.1_STABLE (BOUNCE) #0: Wed Dec 22 
14:53:22 CET 2010 
hf@Hochstuhl:/var/obj/netbsd-builds/5/i386/sys/arch/i386/compile/BOUNCE i386
Architecture: i386
Machine: i386

        On a netbsd-5 server machine, building graphics/gnuplot fails

cc  -O2 -mfpmath=sse -msse3 -march=prescott -I/usr/pkg/include -I/usr/include 
-I/usr/X11R7/include -I/usr/X11R7/include/freetype2 -mfpmath=sse -msse3 
-march=prescott  -L/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib 
-L/usr/X11R7/lib -Wl,-R/usr/X11R7/lib -L/usr/pkg/lib -L/usr/X11R7/lib 
-Wl,-R/usr/pkg/lib -L/usr/pkg/lib -L/usr/pkg/lib -L/usr/X11R7/lib 
-Wl,-R/usr/X11R7/lib -Wl,-R/usr/pkg/lib -pthread -L/usr/X11R7/lib  -o gnuplot 
alloc.o axis.o  binary.o breaders.o bitmap.o  color.o command.o contour.o  
datafile.o dynarray.o eval.o  fit.o gadgets.o getcolor.o  graph3d.o graphics.o 
help.o  hidden3d.o history.o internal.o  interpol.o matrix.o misc.o  mouse.o 
parse.o plot.o  plot2d.o plot3d.o pm3d.o  readline.o save.o scanner.o  set.o 
show.o specfun.o  standard.o stdfn.o tables.o  tabulate.o term.o time.o  
unset.o util.o util3d.o  variable.o version.o   gp_cairo.o  gp_cairo_helpers.o 
-lplot -lcurses -ledit  -lz -lgd -ljpeg -lfontconfig -lfreetype -lpng15 -lz -lm 
-ljpeg -!
 lfreetype -lpng   -lm  -Wl,-R/usr/pkg/lib -pthread -Wl,-R/usr/X11R7/lib 
-L/usr/pkg/lib -L/usr/X11R7/lib -lpangocairo-1.0 -lcairo -lpangoft2-1.0 
-lpango-1.0 -lm -lfreetype -lz -lfontconfig -lgobject-2.0 -lgmodule-2.0 
-lgthread-2.0 -lglib-2.0 -lintl
/var/obj/pkgsrc/graphics/gnuplot/work/.buildlink/lib/ undefined 
reference to `XRenderCreateRadialGradient'
/var/obj/pkgsrc/graphics/gnuplot/work/.buildlink/lib/ undefined 
reference to `XRenderCreateLinearGradient'
*** Error code 1

        Every package in sight has been updated without effect. Most
        likely related to lacking support of X11 features in NetBSD

        Build logs are at


        Set up a netbsd-5 machine, build gnuplot.

        Yes, please.


Home | Main Index | Thread Index | Old Index